Page MenuHomePhabricator

Completely remove support for detail and detailHTML in wbcheckconstraints response
Closed, ResolvedPublic

Description

In T180614, we removed the detail and detailHTML fields from the response of the wbcheckconstraints API action, but made this dependent on a configuration variable. I think it’s time to remove support for this completely, and get rid of this configuration variable. I suspect that this will be necessary for T185714: Make CheckResult serializable, too.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 1 2018, 3:35 PM
thiemowmde triaged this task as Low priority.Mar 2 2018, 4:07 PM
thiemowmde added a project: Technical-Debt.
thiemowmde moved this task from incoming to ready to go on the Wikidata board.

Change 419414 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Remove support for detail in wbcheckconstraints response

https://gerrit.wikimedia.org/r/419414

Change 419414 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Remove support for detail in wbcheckconstraints response

https://gerrit.wikimedia.org/r/419414

Lucas_Werkmeister_WMDE closed this task as Resolved.Mar 14 2018, 1:29 PM